[![Build Status](https://travis-ci.org/Cloud-Player/web.svg?branch=master)](https://travis-ci.org/Cloud-Player/web)

# Cloud-Player
[![Cloud Player Teaser](./src/assets/meta/social/facebook.jpg)](https://cloud-player.io)

## Multiple providers – One player
Cloud-Player combines the libraries of multiple streaming providers into a single music player. 
Search for tracks on SoundCloud or on YouTube and play them without switching between browser tabs.
We are planning to extend Cloud-Player with even more music providers in the future.
So far, it is using the official
[SoundCloud API](https://developers.soundcloud.com/docs/api) and 
[YouTube Data API](https://developers.google.com/youtube/v3/docs).

[Start the webplayer](https://cloud-player.io)

## Native desktop player
We also have a native desktop player for macOS and Windows, so you can install the Cloud-Player app on your desktop 
and control the player with your media keys on your keyboard.

[Get the native desktop app](https://github.com/Cloud-Player/desktop-app)

## No signup required
You get a temporary account when you start [Cloud-Player](https://cloud-player.io) the first time 
so you don’t have to sign up. 
The account will be automatically deleted when you are not using Cloud-Player for more than 30 days.
To persist your account and use it accross devices, login with your SoundCloud or YouTube account.


## Add tracks to playlists
Create a Cloud-Player playlist to add both SoundCloud and YouTube tracks. Tracks can be also saved as favourites. 
Connect with your SoundCloud and YouTube account to synchronise already existing playlists and favourite tracks.

## Continuous playback
Play tracks without any breaks thanks to our preloading and crossfading technology. 
When a track has finished playing you don’t have to wait until the next track starts playing.
We also save your play queue automatically so when you come back later you can continue where you left off.

## Maintainers
Cloud Player is a study project created at [HTW Berlin](http://www.htw-berlin.de/) by 

<table>
  <tbody>
    <tr>
      <td align="center" valign="top">
        <img width="150" height="150" src="https://github.com/zarlex.png?s=150">
        <br>
        <a href="https://github.com/zarlex">Alexander Zarges</a>
        <p>Frontend</p>
      </td>
      <td align="center" valign="top">
        <img width="150" height="150" src="https://github.com/cutoffthetop.png?s=150">
        <br>
        <a href="https://github.com/cutoffthetop">Nicolas Drebenstedt</a>
        <p>Backend</p>
      </td>
     </tr>
  </tbody>
</table>

## Related Repositories
- [Cloud-Player API](https://github.com/Cloud-Player/api) (Python)
- [Cloud-Player Native Desktop App](https://github.com/Cloud-Player/desktop-app) (Electron)

## Disclaimer
Cloud-Player is neither related to SoundCloud or YouTube nor was it build on behalf of SoundCloud or YouTube.

## License
[GNU GPLv3](./LICENSE)
